Subject: Re: bug#57293: 29.0.50; query-replace with Wdired skips symlink target

From: Michael Heerdegen <[email-masked]>
Date: Wed, 24 Aug 2022 01:39:54 +0200

Juri Linkov <[email-masked]> writes:

> Ok, here is the fix to support search and query-replace of e.g. "fo* →
> baz":

Great - thanks.  Mike, can you maybe give it a try?

> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -2002,7 +2002,9 @@ the buffer will take you to that directory.
>  *** Search and replace in Dired/Wdired supports more regexps.
>  For example, the regexp ".*" will match only characters that are part
>  of the file name.  Also "^.*$" can be used to match at the beginning
> -of the file name and at the end of the file name.
> +of the file name and at the end of the file name.  In Wdired this can
> +be used when the new user option 'wdired-search-replace-filenames' is
> +non-nil (which is the default).

Can we say that the behavior in dired is optional, too, and maybe just
list the options (and commands) at the end?

> -(defun isearch-search-fun-in-text-property (search-fun property)
> -  "Return the function to search inside text that has the specified PROPERTY.
> +(defun isearch-search-fun-in-text-property (search-fun properties)
> +  "Return the function to search inside text that has the specified PROPERTIES.
>  The function will limit the search for matches only inside text which has
> -this property in the current buffer.
> +these list of PROPERTIES in the current buffer.

"which has at least one of the text PROPERTIES" may be better (I also
added "text" so that the docstring at least once tells that this is only
about text props).

The rest of the patch looks good to me, but I didn't test.

Thanks,

Michael.